Get a number's AI configuration
curl --request GET \
--url https://api.lumisreach.com/api/v1/phone-numbers/{id}/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumisreach.com/api/v1/phone-numbers/{id}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumisreach.com/api/v1/phone-numbers/{id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"phone_number": "<string>",
"provider": "<string>",
"stack": "t1",
"agent_id": "<string>",
"name": "<string>",
"is_active": true,
"business_name": "<string>",
"business_description": "<string>",
"timezone": "<string>",
"call_settings": {
"max_call_duration_seconds": 915,
"recording_enabled": true,
"transcription_enabled": true,
"summary_enabled": true,
"recording_retention_days": 90,
"hd_voice_enabled": true
},
"voice": {
"voice_id": "<string>",
"voice_model_tier": "standard",
"llm_model": "gpt-5.4-mini",
"language": "<string>",
"speed": 1.05,
"greeting_message": "<string>",
"farewell_message": "<string>",
"prompt": "<string>",
"background_sound": "off",
"outbound_greeting_message": "<string>",
"outbound_prompt": "<string>",
"inherits_workspace_default": true
},
"sms": {
"auto_reply_enabled": true,
"reply_delay_seconds": 150,
"skip_conditions": [
"<string>"
],
"prompt": "<string>",
"language": "<string>",
"llm_model": "gpt-5.4-mini",
"stop_on_stop_word": true,
"stop_words": [
"<string>"
],
"stop_after_replies": true,
"max_replies_per_contact": 50,
"inherits_workspace_default": true
},
"knowledge": {
"knowledge_enabled": true,
"web_search_enabled": true,
"knowledge_base_ids": [
0
],
"faq_ids": [
0
]
},
"qualification": {
"enabled": true,
"contact_info_collection": [
"name"
],
"questions": [
{
"id": "<string>",
"question_text": "<string>",
"type": "OPEN_ENDED",
"required": false,
"is_qualifying": true,
"options": [
"<string>"
],
"qualifying_answers": [
"<string>"
],
"scale_min": 0,
"scale_max": 0,
"qualifying_min_score": 0
}
]
},
"booking": {
"enabled": true,
"event_type_ids": [
0
],
"confirmation_message": "<string>",
"minimum_notice_minutes": 4503599627370495,
"available_hours": [
{
"start": "<string>",
"end": "<string>"
}
],
"available_days": [
3
]
},
"transfers": {
"primary_transfer_number": "<string>",
"rules": [
{
"id": "<string>",
"condition": "human_requested",
"action": "transfer",
"priority": 0,
"enabled": true,
"custom_condition": "<string>",
"target_number": "<string>",
"round_robin_numbers": [
"<string>"
],
"webhook_url": "<string>",
"webhook_lead_source": "<string>",
"notify_message": "<string>"
}
],
"office_hours_only": true,
"office_hours_start": "<string>",
"office_hours_end": "<string>",
"office_hours_timezone": null,
"outside_office_hours_message": "<string>"
},
"sms_referrals": [
{
"id": "<string>",
"condition": "human_requested",
"priority": 0,
"enabled": true,
"custom_condition": "<string>",
"target_number": "<string>"
}
],
"forwarding": {
"phone_config_mode": "lumisreach_number",
"phone_service_type": "cellphone",
"call_handling_mode": "ai_handles_all",
"forwarding_mode": "single_target",
"forwarding_number": "<string>",
"ring_duration_seconds": 32,
"sequential_targets": [
{
"id": "<string>",
"phone_number": "<string>",
"timeout_seconds": 32,
"active": true,
"label": "<string>"
}
],
"chain_transition_message": "<string>",
"record_human_calls": true,
"office_hours_enabled": true,
"office_hours_start": "<string>",
"office_hours_end": "<string>",
"carrier_forwarding_type": "forward_all",
"selected_carrier": "<string>",
"setup_completed": true
},
"ivr": {
"enabled": true,
"greeting": "<string>",
"menus": [
{
"id": "<string>",
"name": "<string>",
"options": [
{
"key": "0",
"label": "<string>",
"action": {
"type": "transfer",
"phone_number": "<string>",
"fallback_phone_number": "<string>"
},
"id": "<string>"
}
],
"prompt": "<string>"
}
],
"invalid_input_message": "<string>",
"no_input_message": "<string>",
"transfer_message": "<string>",
"transfer_caller_id": "business",
"voice_id": "<string>",
"speed": 1,
"timeout_seconds": 9,
"max_attempts": 3,
"fallback": {
"type": "transfer",
"phone_number": "<string>"
}
},
"updated_at": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Number Configuration
Get a number's AI configuration
Everything configurable on the number’s Answer page in the dashboard: setup and call settings, the call agent’s voice, language and prompt, the SMS auto-reply agent, knowledge, qualification questions, booking, transfer rules, SMS referrals, call forwarding and the keypad phone menu (IVR). Values are effective values: where the number has no override, the workspace default is returned and inherits_workspace_default is true.
GET
/
v1
/
phone-numbers
/
{id}
/
config
Get a number's AI configuration
